Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
branch: v0.3
Fetching contributors…

Cannot retrieve contributors at this time

146 lines (140 sloc) 5.221 kb
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{fnordmetric}
s.version = "0.3.2"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Paul Asmuth"]
s.date = %q{2011-11-05}
s.description = %q{FnordMetric is a Ruby Event-Tracking gem on steroids}
s.email = %q{paul@paulasmuth.com}
s.files = [
".document",
"Gemfile",
"Gemfile.lock",
"Procfile",
"Rakefile",
"VERSION",
"doc/example_server.rb",
"fnordmetric.gemspec",
"haml/app.haml",
"haml/widget.haml",
"lib/fnordmetric.rb",
"lib/fnordmetric/app.rb",
"lib/fnordmetric/average_metric.rb",
"lib/fnordmetric/cache.rb",
"lib/fnordmetric/combine_metric.rb",
"lib/fnordmetric/core.rb",
"lib/fnordmetric/count_metric.rb",
"lib/fnordmetric/dashboard.rb",
"lib/fnordmetric/engine.rb",
"lib/fnordmetric/event.rb",
"lib/fnordmetric/funnel_widget.rb",
"lib/fnordmetric/metric.rb",
"lib/fnordmetric/metric_api.rb",
"lib/fnordmetric/numbers_widget.rb",
"lib/fnordmetric/report.rb",
"lib/fnordmetric/sum_metric.rb",
"lib/fnordmetric/timeline_widget.rb",
"lib/fnordmetric/widget.rb",
"pub/fnordmetric/fnordmetric.css",
"pub/fnordmetric/fnordmetric.js",
"pub/fnordmetric/widget_numbers.js",
"pub/fnordmetric/widget_timeline.css",
"pub/fnordmetric/widget_timeline.js",
"pub/highcharts/adapters/mootools-adapter.js",
"pub/highcharts/adapters/mootools-adapter.src.js",
"pub/highcharts/adapters/prototype-adapter.js",
"pub/highcharts/adapters/prototype-adapter.src.js",
"pub/highcharts/highcharts.js",
"pub/highcharts/highcharts.src.js",
"pub/highcharts/modules/exporting.js",
"pub/highcharts/modules/exporting.src.js",
"pub/highcharts/themes/dark-blue.js",
"pub/highcharts/themes/dark-green.js",
"pub/highcharts/themes/gray.js",
"pub/highcharts/themes/grid.js",
"pub/jquery-1.6.1.min.js",
"pub/sprite.png",
"readme.rdoc",
"spec/app_spec.rb",
"spec/cache_spec.rb",
"spec/combine_metric_spec.rb",
"spec/core_spec.rb",
"spec/count_metric_spec.rb",
"spec/dashboard_spec.rb",
"spec/event_spec.rb",
"spec/metric_spec.rb",
"spec/report_spec.rb",
"spec/spec_helper.rb",
"spec/sum_metric_spec.rb",
"spec/widget_spec.rb"
]
s.homepage = %q{http://github.com/paulasmuth/fnordmetric}
s.licenses = ["MIT"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.6.2}
s.summary = %q{FnordMetric is a Ruby Event-Tracking gem on steroids}
s.test_files = [
"spec/app_spec.rb",
"spec/cache_spec.rb",
"spec/combine_metric_spec.rb",
"spec/core_spec.rb",
"spec/count_metric_spec.rb",
"spec/dashboard_spec.rb",
"spec/event_spec.rb",
"spec/metric_spec.rb",
"spec/report_spec.rb",
"spec/spec_helper.rb",
"spec/sum_metric_spec.rb",
"spec/widget_spec.rb"
]
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<mongoid>, ["~> 2.2.0"])
s.add_runtime_dependency(%q<mongo>, ["~> 1.4.0"])
s.add_runtime_dependency(%q<bson_ext>, ["~> 1.4.0"])
s.add_runtime_dependency(%q<sinatra>, ["~> 1.2.6"])
s.add_runtime_dependency(%q<json>, [">= 0"])
s.add_runtime_dependency(%q<haml>, [">= 0"])
s.add_runtime_dependency(%q<rack>, [">= 0"])
s.add_runtime_dependency(%q<rack-test>, [">= 0"])
s.add_development_dependency(%q<delorean>, [">= 0"])
s.add_development_dependency(%q<rspec>, ["~> 2.6.0"])
s.add_development_dependency(%q<shoulda>, [">= 0"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
else
s.add_dependency(%q<mongoid>, ["~> 2.2.0"])
s.add_dependency(%q<mongo>, ["~> 1.4.0"])
s.add_dependency(%q<bson_ext>, ["~> 1.4.0"])
s.add_dependency(%q<sinatra>, ["~> 1.2.6"])
s.add_dependency(%q<json>, [">= 0"])
s.add_dependency(%q<haml>, [">= 0"])
s.add_dependency(%q<rack>, [">= 0"])
s.add_dependency(%q<rack-test>, [">= 0"])
s.add_dependency(%q<delorean>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 2.6.0"])
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
end
else
s.add_dependency(%q<mongoid>, ["~> 2.2.0"])
s.add_dependency(%q<mongo>, ["~> 1.4.0"])
s.add_dependency(%q<bson_ext>, ["~> 1.4.0"])
s.add_dependency(%q<sinatra>, ["~> 1.2.6"])
s.add_dependency(%q<json>, [">= 0"])
s.add_dependency(%q<haml>, [">= 0"])
s.add_dependency(%q<rack>, [">= 0"])
s.add_dependency(%q<rack-test>, [">= 0"])
s.add_dependency(%q<delorean>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 2.6.0"])
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
end
end
Jump to Line
Something went wrong with that request. Please try again.